Favicon

You are here: Home > API Reference > App Distribution > Application Employees > Get employee by ID

Get employee by ID

Required Permission: base.people.applicationEmployee.get

Get employee by ID

GET
/v1/organizations/:organizationId/apps/:applicationId/employees/:applicationEmployeeId
Copy to clipboard

Get employee by ID

Required Permission: base.people.applicationEmployee.get

Get employee by ID

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
applicationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
applicationEmployeeId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
application string optional
Match pattern: ^[a-fA-F0-9]{24}$
employee object optional
_id string optional
Match pattern: ^[a-fA-F0-9]{24}$
email string optional
≤ 256 characters · Format: email
firstName string optional
≤ 128 characters
lastName string optional
≤ 128 characters
tags array [string] optional
type string optional
traditional ldap saml customLogin temporal
from string optional
store sdk dashboard integrationApi emm adm scim agent win
detected object optional
createdBy string optional
Match pattern: ^[a-fA-F0-9]{24}$
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
{
    "status": true,
    "data": {
        "id": "string",
        "organization": "string",
        "application": "string",
        "employee": {
            "_id": "string",
            "email": "[email protected]",
            "firstName": "string",
            "lastName": "string"
        },
        "tags": [
            "string"
        ],
        "type": "traditional",
        "from": "store",
        "detected": {},
        "createdBy": "string",
        "updatedAt": "2024-01-01T00: 00:00Z",
        "createdAt": "2024-01-01T00: 00:00Z"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}